import { BaseEditingController } from './base-editing.controller';
import { EditType, RowData } from '../../table.types';
import { DataSourceChange } from '../../../..';
export declare class RowEditingController extends BaseEditingController {
    constructor(control: HTMLAnjEditingElement, table: HTMLAnjTableElement);
    onCreateStart(): Promise<RowData>;
    onCreateEnd(event: CustomEvent): Promise<RowData>;
    onDelete(event: CustomEvent): Promise<[RowData, number]>;
    onUpdateCancel(): void;
    onUpdateStart(event: CustomEvent): Promise<[number, RowData]>;
    onUpdateEnd(event: CustomEvent): Promise<[RowData, RowData, number] | undefined>;
    undo(change: DataSourceChange): Promise<void>;
    save(): Promise<void>;
    getEditType(data: RowData): EditType;
    private rowFromEvent;
}
